/*
 * PanmirrorPandocExtensions.java
 *
 * Copyright (C) 2022 by RStudio, PBC
 *
 * Unless you have received this program directly from RStudio pursuant
 * to the terms of a commercial license agreement with RStudio, then
 * this program is licensed to you under the terms of version 3 of the
 * GNU Affero General Public License. This program is distributed WITHOUT
 * ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF NON-INFRINGEMENT,
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Please refer to the
 * AGPL (http://www.gnu.org/licenses/agpl-3.0.txt) for more details.
 *
 */


package org.rstudio.studio.client.panmirror.pandoc;

import jsinterop.annotations.JsType;

@JsType
public class PanmirrorPandocExtensions
{
   public boolean abbreviations;
   public boolean all_symbols_escapable;
   public boolean amuse;
   public boolean angle_brackets_escapable;
   public boolean ascii_identifiers;
   public boolean auto_identifiers;
   public boolean autolink_bare_uris;
   public boolean backtick_code_blocks;
   public boolean blank_before_blockquote;
   public boolean blank_before_header;
   public boolean bracketed_spans;
   public boolean citations;
   public boolean compact_definition_lists;
   public boolean definition_lists;
   public boolean east_asian_line_breaks;
   public boolean emoji;
   public boolean empty_paragraphs;
   public boolean epub_html_exts;
   public boolean escaped_line_breaks;
   public boolean example_lists;
   public boolean fancy_lists;
   public boolean fenced_code_attributes;
   public boolean fenced_code_blocks;
   public boolean fenced_divs;
   public boolean footnotes;
   public boolean four_space_rule;
   public boolean gfm_auto_identifiers;
   public boolean grid_tables;
   public boolean hard_line_breaks;
   public boolean header_attributes;
   public boolean ignore_line_breaks;
   public boolean implicit_figures;
   public boolean implicit_header_references;
   public boolean inline_code_attributes;
   public boolean inline_notes;
   public boolean intraword_underscores;
   public boolean latex_macros;
   public boolean line_blocks;
   public boolean link_attributes;
   public boolean lists_without_preceding_blankline;
   public boolean literate_haskell;
   public boolean markdown_attribute;
   public boolean markdown_in_html_blocks;
   public boolean mmd_header_identifiers;
   public boolean mmd_link_attributes;
   public boolean mmd_title_block;
   public boolean multiline_tables;
   public boolean native_divs;
   public boolean native_spans;
   public boolean native_numbering;
   public boolean ntb;
   public boolean old_dashes;
   public boolean pandoc_title_block;
   public boolean pipe_tables;
   public boolean raw_attribute;
   public boolean raw_html;
   public boolean raw_tex;
   public boolean shortcut_reference_links;
   public boolean simple_tables;
   public boolean smart;
   public boolean space_in_atx_header;
   public boolean spaced_reference_links;
   public boolean startnum;
   public boolean strikeout;
   public boolean subscript;
   public boolean superscript;
   public boolean styles;
   public boolean task_lists;
   public boolean table_captions;
   public boolean tex_math_dollars;
   public boolean tex_math_double_backslash;
   public boolean tex_math_single_backslash;
   public boolean yaml_metadata_block;
   public boolean gutenberg;
}
